Bug 262941 - crash fix for i965_dri
crash fix for i965_dri
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-29 07:22 EDT by Sami Farin
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-06 14:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
i965_dri crash fix (804 bytes, patch)
2007-08-29 07:22 EDT, Sami Farin
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 9415 None None None Never

  None (edit)
Description Sami Farin 2007-08-29 07:22:58 EDT
Description of problem:
There has been a long-standing bug in i965_dri,
which can be triggered in e.g. Torcs game.
When this happens, reboot is required to get i965 into sane state (e.g. start Xorg).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. play game "Torcs"
Actual results:
Fatal server error:
Error in I830WaitLpRing(), now is -1529983671, start is -1529985672
pgetbl_ctl: 0x3ef80001 pgetbl_err: 0x40000

Expected results:
enjoying the game

Additional info:
I tried the attached patch[1] and I played Torcs for ten minutes without
crashing.  Earlier it crashed in 10-30 seconds.

Thanks to Haihao Xiang from Intel for fixing the bug.

[1] mesa git commit 410d8f7cdb40889e66f5c6794878ad9a5f572ee7
Comment 1 Sami Farin 2007-08-29 07:22:58 EDT
Created attachment 178741 [details]
i965_dri crash fix
Comment 2 Adam Jackson 2007-09-06 14:45:35 EDT
Applied, thanks!  Will be in mesa 7.0.1-5.fc8

Note You need to log in before you can comment on or make changes to this bug.